#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-94JKUjDkQRDEJLerUwpzri
key:                  taffybar-4.0.0-94JKUjDkQRDEJLerUwpzri
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  392c448ab8dedd2043e62cbf76a56d68
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-94JKUjDkQRDEJLerUwpzri
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/lzo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-DGB96xRlpYHB2U0Huzitnw
    HStringTemplate-0.8.8-DaebBWRA6k49tpwdq7WoFp
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.1.0-824MMm6zV6xEr28MDvSJot
    ansi-terminal-0.11.4-4SgCWaXZr2qIqjtLzwrNoa base-4.15.1.0
    broadcast-chan-0.2.1.2-1M577pI5kvDIxNoVYTU4wK bytestring-0.10.12.1
    conduit-1.3.4.3-8e8XAk4K29e8NdibtafQ87 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-1G9RVtLEwL7CO5pazbVhCy
    dbus-hslogger-0.1.0.1-Kl5Gbi8jBIOGR2zY20q5SM directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-JB3GKKdXHV5FNYYhDSLTi1
    enclosed-exceptions-1.0.3-GveYqF0WvPruM30Ydbneh filepath-1.4.2.1
    gi-cairo-1.0.27-6yopoJmYFKaAa431BFdB55
    gi-cairo-connector-0.1.1-FT0I9x2uSoeIR6I1MiBlSN
    gi-cairo-render-0.1.2-4khCuoxrHSXHwfcPtQz6yU
    gi-gdk-3.0.25-7wncm60yz0w5sGKFqZDxOR
    gi-gdkpixbuf-2.0.29-L4vpaDCUKrn6m4ISpiiQ2z
    gi-gdkx11-3.0.12-5uz1TpRRt0fDWIKpfOcNRf
    gi-glib-2.0.27-9NM8WGeNgNA3pWlNx7BGyl
    gi-gtk-3.0.38-4Uj50lWQbOU5d6R3LSF8TQ
    gi-gtk-hs-0.3.13-CC4K6hgy7BX4eUBVdo5eQg
    gi-pango-1.0.27-HB8Egn91FgICzdgpaWgdLB
    gtk-sni-tray-0.1.8.1-GBJqRkw3whV7LPxKA81xk0
    gtk-strut-0.1.3.2-1aeWA5ps1r9HQ5OEip1DWL
    haskell-gi-0.26.2-Kts2JaqxmOALEWeTHlNyWQ
    haskell-gi-base-0.26.2-BgiSD0snxm47Hg27HVVupt
    hslogger-1.3.1.0-4WaJPAY0vmV8dFDJL0jgUN
    http-client-0.7.13.1-ITMkk7Y5s8h8w9r2TxwoMN
    http-client-tls-0.3.6.1-G5QLi4SUmAp2faqGWQdvzs
    http-conduit-2.3.8-IBA0EDkI1RtCLyKFoAGb7j
    http-types-0.12.3-2gQpFR1wI763LY1oRtjKTr
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.2-G0JBGFJfmHtLOCTMYA1m1B
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12.1-Bu8ZfSXztws4LUuPy9DhRd
    split-0.2.3.5-D1U8q4vlNdk5QDry85lN6
    status-notifier-item-0.3.1.0-8fTH5YGlJ5N2mltiD4D0PU stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-3tiuWaRh2so9DJQGvLVNGp
    tuple-0.3.0.2-9s1NCP9XKxfInvttSNBnyn unix-2.7.2.2
    utf8-string-1.0.2-5jfGmdF6tr2LafWWNuWYmN
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-CVzV6lDW3GWAK7mLkPjMuF
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-CrKUsDqgSTUDfEeLkNvgN5

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

